Create Cohort
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/cohorts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Power users",
"scope": "site",
"definition": {
"match": "AND",
"criteria": [
{
"type": "performed",
"filters": [
{
"dimension": "event_name",
"op": "equals",
"value": [
"checkout"
]
}
],
"windowDays": 30,
"countOp": "gte",
"count": 3
},
{
"type": "not_performed",
"filters": [
{
"dimension": "pathname",
"op": "equals",
"value": [
"/cancel"
]
}
],
"windowDays": 30
}
]
}
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/cohorts"
payload = {
"name": "Power users",
"scope": "site",
"definition": {
"match": "AND",
"criteria": [
{
"type": "performed",
"filters": [
{
"dimension": "event_name",
"op": "equals",
"value": ["checkout"]
}
],
"windowDays": 30,
"countOp": "gte",
"count": 3
},
{
"type": "not_performed",
"filters": [
{
"dimension": "pathname",
"op": "equals",
"value": ["/cancel"]
}
],
"windowDays": 30
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Power users',
scope: 'site',
definition: {
match: 'AND',
criteria: [
{
type: 'performed',
filters: [{dimension: 'event_name', op: 'equals', value: ['checkout']}],
windowDays: 30,
countOp: 'gte',
count: 3
},
{
type: 'not_performed',
filters: [{dimension: 'pathname', op: 'equals', value: ['/cancel']}],
windowDays: 30
}
]
}
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/cohorts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Cohort
Creates a behavioral “did X, not Y, over time” cohort definition
POST
/
sites
/
{site}
/
cohorts
Create Cohort
Related topics
Behavioral Cohort AnalysisAnalytics Roles and PermissionsPrivacy-Friendly Web and Product Analytics⌘I